package net.sf.jasperreports.engine;

public interface JRGroup extends JRCloneable {
  String getName();
  
  boolean isStartNewColumn();
  
  void setStartNewColumn(boolean paramBoolean);
  
  boolean isStartNewPage();
  
  void setStartNewPage(boolean paramBoolean);
  
  boolean isResetPageNumber();
  
  void setResetPageNumber(boolean paramBoolean);
  
  boolean isReprintHeaderOnEachPage();
  
  void setReprintHeaderOnEachPage(boolean paramBoolean);
  
  int getMinHeightToStartNewPage();
  
  void setMinHeightToStartNewPage(int paramInt);
  
  JRExpression getExpression();
  
  JRBand getGroupHeader();
  
  JRBand getGroupFooter();
  
  JRVariable getCountVariable();
}
